ros-foxy-pmb2-description (4.0.4-1focal) focal; urgency=high

  * Add missing exec dependency
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 18 Oct 2021 22:00:00 -0000

ros-foxy-pmb2-description (4.0.3-1focal) focal; urgency=high

  * Update to new transmission format
  * Cleanup
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 18 Oct 2021 22:00:00 -0000

ros-foxy-pmb2-description (4.0.2-1focal) focal; urgency=high

  * Fix typo
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 14 Jul 2021 22:00:00 -0000

ros-foxy-pmb2-description (4.0.1-1focal) focal; urgency=high

  * Fix missing dependencies
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 14 Jul 2021 22:00:00 -0000

ros-foxy-pmb2-description (4.0.0-1focal) focal; urgency=high

  * Set back old version number before release
  * Restructuring code and add description test
  * No laser value is 'no-laser', change rgbd_sensors to courier_rgbd_sensors
  * Tune a bit physics to avoid joint slippage, specially in TIAGo
  * Correct physic property names for newer gazebo
  * Add ROS2 control imu
  * Add imu plugin
  * Migrate rest of lasers to ROS2
  * Renamed end_effector argument
  * Format
  * Fixed some tiago arguments
  * Add linters to pmb2_description and apply fixes
  * Move param utils to launch_pal
  * Add show.launch.py
  * Remove gazebo laser plugin namespace
  * Merge branch 'single_ros2_control_system' into 'foxy-devel'
    Single ROS2 control system
    See merge request robots/pmb2_robot!65
  * All joints now form part of a single ros2_control system
  * Fixes to gazebo ros2 control param changes
  * Update how ros2 gazebo plugin is loaded
  * Add wheel ros2_control file
  * First working version
  * Remove comments to workaround https://github.com/ros2/launch_ros/issues/214
  * First WIP of upload.py
  * Contributors: Jordan Palacios, Victor Lopez, victor

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 11 Jul 2021 22:00:00 -0000

ros-foxy-pmb2-description (3.0.14-1focal) focal; urgency=high

  * Merge branch 'fix_wheel_slippage' into 'erbium-devel'
    Fix wheel slippage
    See merge request robots/pmb2_robot!62
  * Tuning mu1,mu2 parameters for reducing slippage during pure rotational speed cmds
  * Uss sphere and tuned contacts for collision links
  * test sphere collision mesh and contact parameters
  * Contributors: Luca Marchionni, victor

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 17 Jan 2021 23:00:00 -0000

ros-foxy-pmb2-description (3.0.13-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 29 Jul 2020 22:00:00 -0000

ros-foxy-pmb2-description (3.0.12-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 15 Jul 2020 22:00:00 -0000

ros-foxy-pmb2-description (3.0.11-1focal) focal; urgency=high

  * Merge branch 'elp-camera' into 'erbium-devel'
    Fix ELP rgb camera position and add its gazebo plugin
    See merge request robots/pmb2_robot!58
  * Fix ELP rgb camera position and add its gazebo plugin
  * Contributors: Sara Cooper, procopiostein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 09 Jul 2020 22:00:00 -0000

ros-foxy-pmb2-description (3.0.10-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 20 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-description (3.0.9-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 01 Oct 2019 22:00:00 -0000

ros-foxy-pmb2-description (3.0.8-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 26 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-description (3.0.7-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 24 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-description (3.0.6-1focal) focal; urgency=high

  * scan_raw is the default laser topic
  * Contributors: Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 19 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-description (3.0.5-1focal) focal; urgency=high

  * Melodic compatibility
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 09 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-description (3.0.4-1focal) focal; urgency=high

  * Merge branch 'multi_pmb2' into 'erbium-devel'
    Changes for multi pmb2 simulation
    See merge request robots/pmb2_robot!44
  * Changes for multi pmb2 simulation
  * Contributors: Adria Roig, Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 16 Jul 2019 22:00:00 -0000

ros-foxy-pmb2-description (3.0.3-1focal) focal; urgency=high

  * Merge branch 'enable_sonars' into 'erbium-devel'
    Add sonars argument to base_sensors
    See merge request robots/pmb2_robot!42
  * Added sonars argument to base_sensors
  * Contributors: Jordan Palacios, Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 08 Apr 2019 22:00:00 -0000

ros-foxy-pmb2-description (3.0.2-1focal) focal; urgency=high

  * Merge branch 'fix-inertia' into 'erbium-devel'
    Fix inertial parameters of the caster wheels
    See merge request robots/pmb2_robot!41
  * Fix inertial parameters of the caster wheels
    Also added friction and damping to improve behavior
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 30 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-description (3.0.1-1focal) focal; urgency=high

  * Fix tests
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 19 Dec 2018 23:00:00 -0000

ros-foxy-pmb2-description (3.0.0-1focal) focal; urgency=high

  * Merge branch 'specifics-refactor' into 'erbium-devel'
    Remove upload_pmb2.launch
    See merge request robots/pmb2_robot!40
  * Add rgbd sensors
  * Change robot parameter name
  * Parametrize urdf
  * Remove upload_pmb2.launch
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-foxy-pmb2-description (2.0.8-1focal) focal; urgency=high

  * Merge branch 'remove-caster-friction' into 'erbium-devel'
    Remove caster friction so it doesn't push base around
    See merge request robots/pmb2_robot!34
  * Remove caster friction so it doesn't push base around
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 26 Nov 2018 23:00:00 -0000

ros-foxy-pmb2-description (2.0.7-1focal) focal; urgency=high

  * Merge branch 'fix-xacro-warnings' into 'erbium-devel'
    prepend missing 'xacro' tag
    See merge request robots/pmb2_robot!33
  * prepend missing 'xacro' tag
  * Merge branch 'fix-warning-typo' into 'erbium-devel'
    fix typo
    See merge request robots/pmb2_robot!32
  * fix typo
  * Contributors: Hilario Tome, Jordi Pages, Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 29 Jul 2018 22:00:00 -0000

ros-foxy-pmb2-description (2.0.6-1focal) focal; urgency=high

  * Merge branch 'fix_tf_depth_sensor' into 'erbium-devel'
    fixed the frame wrongly removed previously
    See merge request robots/pmb2_robot!31
  * removed rgb frames that are not present in this sensor
  * fixed the frame wrongly removed previously
  * Contributors: Andrei Pasnicenco, Hilario Tome, Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 26 Apr 2018 22:00:00 -0000

ros-foxy-pmb2-description (2.0.5-1focal) focal; urgency=high

  * Merge branch 'fix-tests-broken-due-to-stl' into 'erbium-devel'
    Revert "fixed warning when loading stl file"
    See merge request robots/pmb2_robot!29
  * Revert "fixed warning when loading stl file"
    This reverts commit 49e84804a24372815b2b500159369f1d63d02857.
  * Contributors: Hilario Tome, Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 16 Apr 2018 22:00:00 -0000

ros-foxy-pmb2-description (2.0.4-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 16 Apr 2018 22:00:00 -0000

ros-foxy-pmb2-description (2.0.3-1focal) focal; urgency=high

  * Merge branch 'test-branch' into 'erbium-devel'
    Test branch
    See merge request robots/pmb2_robot!27
  * Merge branch 'fix-stl' into test-branch
  * Merge remote-tracking branch 'origin/fix_xacro_warning' into test-branch
  * fixed warning when loading stl file
  * fix missing xacro namespace
  * Merge remote-tracking branch 'origin/fixing_sim' into test-branch
  * Merge remote-tracking branch 'origin/deprecate_upload_pmb2' into test-branch
  * Merge remote-tracking branch 'origin/fix_xacro_warning' into test-branch
  * updated urdf file to get correct mesh and remove rgb related info
  * added structure sensor mesh
  * deprecate upload_pmb2
  * normalize xmlns across xacro files
  * fix xacro warning
    deprecated: xacro tags should be prepended with 'xacro' xml namespace.
    Use the following script to fix incorrect usage:
    find . -iname "*.xacro" | xargs sed -i 's#<([/]?)(if|unless|include|arg|property|macro|insert_block)#<1xacro:2#g'
  * rm usuless caster 1 collision mesh
  * fix casters
  * Contributors: Jeremie Deray, Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 16 Apr 2018 22:00:00 -0000

ros-foxy-pmb2-description (2.0.2-1focal) focal; urgency=high

  * reduced sonars max range to avoid noise
  * Contributors: Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 12 Apr 2018 22:00:00 -0000

ros-foxy-pmb2-description (2.0.1-1focal) focal; urgency=high

  * delete transmission for passive joints
  * Contributors: Andrei Pasnicenco

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 28 Mar 2018 22:00:00 -0000

ros-foxy-pmb2-description (2.0.0-1focal) focal; urgency=high

  * Merge branch 'collision_fix' into 'erbium-devel'
    caster wheels and base collision
    See merge request robots/pmb2_robot!19
  * gtests passed on the flat surface
  * linear move test passed
  * revert testing torque value
  * transmission caster
  * sufficient for tests
  * fix castor joints transmission
  * rotate and climb with a virtual suspension system and use caster wheels
  * virtual suspension and rolling caster wheels
  * high-res mesh of the base for visual geometry
  * Friction coeffs adjusted
  * caster wheels and base collision
    Note: Frictin coeffs mu1, mu2 in caster.gazebo.xacro can me adjusted to make robot stopping immideately
  * Contributors: Andrei Pasnicenco, Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 25 Mar 2018 22:00:00 -0000

ros-foxy-pmb2-description (1.1.14-1focal) focal; urgency=high

  * Merge branch 'test_urdf' into 'dubnium-devel'
    Add URDF tests
    See merge request robots/pmb2_robot!17
  * Remove exec dependencies for pal_gazebo_plugins
  * Add URDF tests
  * Contributors: Adria Roig, Adrià Roig, davidfernandez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 29 Jan 2018 23:00:00 -0000

ros-foxy-pmb2-description (1.1.13-1focal) focal; urgency=high

  * renamed depth sensor
  * add rgbd related files and config to description
  * Contributors: Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 26 Sep 2017 22:00:00 -0000

ros-foxy-pmb2-description (1.1.12-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 29 Jun 2017 22:00:00 -0000

ros-foxy-pmb2-description (1.1.11-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 29 Jun 2017 22:00:00 -0000

ros-foxy-pmb2-description (1.1.10-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 28 Jun 2017 22:00:00 -0000

ros-foxy-pmb2-description (1.1.9-1focal) focal; urgency=high

  * upgraded packages format, maintainers and license
  * Contributors: Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 27 Jun 2017 22:00:00 -0000

ros-foxy-pmb2-description (1.1.8-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 10 Apr 2017 22:00:00 -0000

ros-foxy-pmb2-description (1.1.7-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 22 Feb 2017 23:00:00 -0000

ros-foxy-pmb2-description (1.1.6-1focal) focal; urgency=high

  * invert sonars 1 and 3
  * Contributors: Jordi Pages

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 06 Nov 2016 23:00:00 -0000

ros-foxy-pmb2-description (1.1.5-1focal) focal; urgency=high

  * Now launch files are more like those for TIAGo
  * add tiago_support as maintainer
  * Contributors: Jordan Palacios, Jordi Pages

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 23 Oct 2016 22:00:00 -0000

ros-foxy-pmb2-description (1.1.4-1focal) focal; urgency=high

  * corrected imu frame, z always point upwards
    this is because the imu 6050 zeros itself (at least wrt pitch)
  * Contributors: Procópio Stein

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 03 Jul 2016 22:00:00 -0000

ros-foxy-pmb2-description (1.1.3-1focal) focal; urgency=high

  * update sonars min/max range
  * Contributors: Jeremie Deray

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 14 Jun 2016 22:00:00 -0000

ros-foxy-pmb2-description (1.1.2-1focal) focal; urgency=high

  * sonar ID two digit
  * Add imu controller to launch
  * Add imu gazebo plugin config
  * 1.1.1
  * Update changelog
  * Updated to new generic pal hardware gazebo plugin
  * Simplified base collision
    Now the base_link has a mesh that touches with the ground
  * Contributors: Jeremie Deray, Sam Pfeiffer

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 02 Jun 2016 22:00:00 -0000

ros-foxy-pmb2-description (1.1.1-1focal) focal; urgency=high

  * Updated to new generic pal hardware gazebo plugin
  * Simplified base collision
    Now the base_link has a mesh that touches with the ground
  * Contributors: Sam Pfeiffer

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 14 Apr 2016 22:00:00 -0000

ros-foxy-pmb2-description (1.1.0-1focal) focal; urgency=high

  * urdf use macro param default value
  * fix urdf laser
  * Contributors: Jeremie Deray

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 14 Mar 2016 23:00:00 -0000

ros-foxy-pmb2-description (1.0.6-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 02 Mar 2016 23:00:00 -0000

ros-foxy-pmb2-description (1.0.5-1focal) focal; urgency=high

  * update gazebo sick 561 571 with proper params
  * rename base_default to base_sensors
  * remove base_full.urdf.xacro
  * add gazebo draft sick 561 & 571
  * pmb2 desscription upload default
  * rm full urdf
  * base_default now holds all sensors with option
  * pmb2 urdf diff Sick
  * Contributors: Jeremie Deray

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 08 Feb 2016 23:00:00 -0000

ros-foxy-pmb2-description (1.0.4-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 25 Oct 2015 23:00:00 -0000

ros-foxy-pmb2-description (1.0.3-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 05 Oct 2015 22:00:00 -0000

ros-foxy-pmb2-description (1.0.2-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 04 Oct 2015 22:00:00 -0000

ros-foxy-pmb2-description (1.0.1-1focal) focal; urgency=high

  * 1.0.0
  * Add changelog
  * Add changelog
  * Merging metal base branch
  * urdf full calls default & add sonar/micro
  * urdf default calls base & add laser
  * urdf base contains basics e.g. wheels
  * add full_sick urdf
  * add base_default urdf
  * renamed base -> base_full
  * Update maintainer
  * Replace caster collision with spheres, fix spinning
  * Remove spanish character nonvalid to xacro
  * Update placement and name of base imu
  * Add collision to antenna
  * Update caster locations
  * Add microphone locations
  * Added sonars with proper colors
  * Add color to gazebo
  * Add antennas
  * New meshes
  * Remove references to xtion
  * Remove robot model scripts
  * Add inertial params to main body
  * Remove bumpers
  * Remove rear cover
  * More battery removed
  * Remove charger
  * Remove battery
  * Remove base_rgbd
  * Fix color of wheels in gazebo
  * Add new cover and orange ring around body
  * Contributors: Bence Magyar, Jeremie Deray, Luca Marchionni

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 30 Sep 2015 22:00:00 -0000

ros-foxy-pmb2-description (1.0.0-1focal) focal; urgency=high

  * Add changelog
  * Merging metal base branch
  * urdf full calls default & add sonar/micro
  * urdf default calls base & add laser
  * urdf base contains basics e.g. wheels
  * add full_sick urdf
  * add base_default urdf
  * renamed base -> base_full
  * Update maintainer
  * Replace caster collision with spheres, fix spinning
  * Remove spanish character nonvalid to xacro
  * Update placement and name of base imu
  * Add collision to antenna
  * Update caster locations
  * Add microphone locations
  * Added sonars with proper colors
  * Add color to gazebo
  * Add antennas
  * New meshes
  * Remove references to xtion
  * Remove robot model scripts
  * Add inertial params to main body
  * Remove bumpers
  * Remove rear cover
  * More battery removed
  * Remove charger
  * Remove battery
  * Remove base_rgbd
  * Fix color of wheels in gazebo
  * Add new cover and orange ring around body
  * Contributors: Bence Magyar, Jeremie Deray, Luca Marchionni

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 28 Sep 2015 22:00:00 -0000

ros-foxy-pmb2-description (0.10.0-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 13 Jul 2015 22:00:00 -0000

ros-foxy-pmb2-description (0.9.10-1focal) focal; urgency=high

  * Merge from REEM-C params
  * Fix and add link names in macro
  * Contributors: Bence Magyar

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 26 Feb 2015 23:00:00 -0000

ros-foxy-pmb2-description (0.9.9-1focal) focal; urgency=high



 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 17 Feb 2015 23:00:00 -0000

ros-foxy-pmb2-description (0.9.8-1focal) focal; urgency=high

  * Add inertial block to xtion pro live
  * Add inertial block to range sensor
  * Add conditional for base rgbd sensor
  * Chop off frontal antennas
  * Use ${name} for imu
  * Put sonars with its rear cover
  * Make rgbd camera fixed
  * Add microphones
  * Add bumper
  * Update meshes
  * Use base_footprint_link
  * Update meshes
  * Add comment to show Joint, Child, Parent
  * Remove sensors not needed
  * Use 0.27m for footprint radius
  * Add kinematics and stl files (except for the base)
  * Add kinematics xlsx to URDF converter/helper
  * Contributors: Bence Magyar, Enrique Fernandez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 17 Feb 2015 23:00:00 -0000

ros-foxy-pmb2-description (0.9.7-1focal) focal; urgency=high

  * Update URDF (only locations)
  * Replace ant -> pmb2
  * Rename files
  * Contributors: Enrique Fernandez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 01 Feb 2015 23:00:00 -0000


